XRICK(6)

NAME
xrick - clone of the platform game Rick Dangerous

SYNOPSIS
xrick -help
xrick -h
xrick [-fullscreen] [-keys left-right-up-down-fire] [-map num] [-nosound] [-speed num] [-submap num] [-vol num] [-zoom num] [-data arch]

DESCRIPTION
xrick is a clone of the platform game Rick Dangerous. Walk through the maps, avoid traps, kill the Bad Guys... and try to stay alive long enough to accomplish your mission! Rick can fire bullets, lay sticks of dynamite, walk, crawl, climb, and also poke walls or Bad Guys with his stick. Poking walls can trigger traps, open doors, etc. although sometime a dynamite stick or a bullet is needed. Go figure. Rick starts with six bullets in his gun, and six sticks of dynamite, as shown by the icons at the top of the screen.

  Controls
Throughout the game, use these commands to control Rick:

[Left], [Z]
    left - move Rick left.

[Right], [X]
    right - move Rick right.

[Up], [O]
    up - jump or climb up.

[Down], [K]
    down - crouch or climb down.

[Space]
    fire - fire.

You can redefine these keys from the command line, with the -keys option (see OPTIONS ). By holding down fire and pressing left or right, you can poke a wall (or anything else) with your stick. By holding down fire and pressing down, you can lay a stick of dynamite. By holding down fire and pressing up, you can fire a bullet.

  Cheats

[F7]
    Toggle trainer mode (always six bullets, six sticks, six Rick).

[F8]
    Toggle "never die" mode (nothing can kill Rick). Use with care. Although it lets you walk through Bad Guys unharmed, it can produce strange results. Some Bad Guys are meant to be killed, and if you don't, who knows what will happen? Also, if a block of bricks moves over Rick, it won't kill him, but then Rick will be trapped because, well, you can't move through bricks.

[F9]
    Toggle "expose" mode (see all entities).

  Miscellaneous commands

[E] End.

[P] Pause.

[Esc]
    Exit.

[F1]
    Toggle full-screen mode.

[F2]
    Zoom out (only when not running full-screen).

[F3]
    Zoom in (only when not running full-screen).

[F4]
    Mute.

[F5]
    Decrease sound volume.

[F6]
    Increase sound volume.

OPTIONS

-fullscreen
    Run in full screen mode. The default is to run in a window.

-h, -help
    Print help to stderr and exit with a non-zero value.

-keys left-right-up-down-fire
    Override the default key bindings. left, right, up, down and fire may be one of the following: BACKSPACE TAB CLEAR RETURN PAUSE ESCAPE SPACE EXCLAIM QUOTEDBL HASH DOLLAR AMPERSAND QUOTE LEFTPAREN RIGHTPAREN ASTERISK PLUS COMMA MINUS PERIOD SLASH 0 ... 9 COLON SEMICOLON LESS EQUALS GREATER QUESTION AT LEFTBRACKET BACKSLASH RIGHTBRACKET CARET UNDERSCORE BACKQUOTE a ... z DELETE WORLD_0 ... WORLD_95 KP0 ... KP9 KP_PERIOD KP_DIVIDE KP_MULTIPLY KP_MINUS KP_PLUS KP_ENTER KP_EQUALS UP DOWN RIGHT LEFT INSERT HOME END PAGEUP PAGEDOWN F1 ... F15 NUMLOCK CAPSLOCK SCROLLOCK RSHIFT LSHIFT RCTRL LCTRL RALT LALT RMETA LMETA LSUPER RSUPER MODE COMPOSE HELP PRINT SYSREQ BREAK MENU POWER EURO For example -keys f-g-u-h-space maps [F] to left, [G] to right, [U] to up, [H] to down and [Space] to fire. The KeyCodes file contains a complete list of available key codes. The default bindings are listed in the DESCRIPTION section.

-map num
    Start at map number num. num must be an integer between 1 and 4. The default is to start at map 1.

-nosound
    Disable sound.

-speed num
    Run at speed num. num must be an integer between 1 (fast) and 100 (slow). The default is 75.

-submap num
    Start at submap number num. num must be an integer between 1 and 47. The default is to start at submap 1.

-vol num
    Play sounds at volume num. num must be an integer between 1 and 10. The default is to play sounds at maximal volume (10).

-zoom num
    Display with zoom factor num. num must be an integer between 1 and 4. The default is 2.

-data arch
    Use data archive arch. arch must be either a zip file, or a directory. The default is to look for data.zip in the directory where xrick is run from.

ENVIRONMENT
None except the usual Xlib/SDL ones that may apply.

FILES
None.

EXIT VALUE
0OK
>0An error occurred

AUTHOR
BigOrno (http://www.bigorno.net/). xrick relies on the Simple MediaLayer Libray (http://www.libsdl.org/). xrick uses zlib (http://www.gzip.org/zlib/). Graphics and maps by the authors of the original Rick Dangerous game. Original man page by André Majorel (http://www.teaser.fr/~amajorel/).

LEGAL
I have written the xrick code. However, graphics and maps and sounds are by the authors of the original Rick Dangerous game, and "Rick Dangerous" remains a trademark of its owner(s) -- maybe Core Design (who wrote the game) or FireBird (who published it). As of today, I have not been successful at contacting Core Design. This makes it a bit difficult to formally release the whole code, including data for graphics and maps and sounds, under the terms of licences such as the GNU General Public Licence. So the code is released in the spirit of the GNU GPL. Whatever that means. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
intro(6)